std::numbers(3cxx)

NAME
std::numbers - Namespace for mathematical constants.

SYNOPSIS

  Variables

constexpr double e
template<typename _Tp > constexpr _Tp e_v
e
constexpr double egamma
template<typename _Tp > constexpr _Tp egamma_v
The Euler-Mascheroni constant.
constexpr double inv_pi
template<typename _Tp > constexpr _Tp inv_pi_v
1/pi
constexpr double inv_sqrt3
template<typename _Tp > constexpr _Tp inv_sqrt3_v
1/sqrt(3)
constexpr double inv_sqrtpi
template<typename _Tp > constexpr _Tp inv_sqrtpi_v
1/sqrt(pi)
constexpr double ln10
template<typename _Tp > constexpr _Tp ln10_v
log_e 10
constexpr double ln2
template<typename _Tp > constexpr _Tp ln2_v
log_e 2
constexpr double log10e
template<typename _Tp > constexpr _Tp log10e_v
log_10 e
constexpr double log2e
template<typename _Tp > constexpr _Tp log2e_v
log_2 e
constexpr double phi
template<typename _Tp > constexpr _Tp phi_v
The golden ratio, (1+sqrt(5))/2.
constexpr double pi
template<typename _Tp > constexpr _Tp pi_v
pi
constexpr double sqrt2
template<typename _Tp > constexpr _Tp sqrt2_v
sqrt(2)
constexpr double sqrt3
template<typename _Tp > constexpr _Tp sqrt3_v
sqrt(3)

Detailed Description

Namespace for mathematical constants.

Variable Documentation

  template<typename _Tp > constexpr _Tp std::numbers::e_v [inline], [constexpr]

e

  template<typename _Tp > constexpr _Tp std::numbers::egamma_v [inline], [constexpr]

The Euler-Mascheroni constant.

  template<typename _Tp > constexpr _Tp std::numbers::inv_pi_v [inline], [constexpr]

1/pi

  template<typename _Tp > constexpr _Tp std::numbers::inv_sqrt3_v [inline], [constexpr]

1/sqrt(3)

  template<typename _Tp > constexpr _Tp std::numbers::inv_sqrtpi_v [inline], [constexpr]

1/sqrt(pi)

  template<typename _Tp > constexpr _Tp std::numbers::ln10_v [inline], [constexpr]

log_e 10

  template<typename _Tp > constexpr _Tp std::numbers::ln2_v [inline], [constexpr]

log_e 2

  template<typename _Tp > constexpr _Tp std::numbers::log10e_v [inline], [constexpr]

log_10 e

  template<typename _Tp > constexpr _Tp std::numbers::log2e_v [inline], [constexpr]

log_2 e

  template<typename _Tp > constexpr _Tp std::numbers::phi_v [inline], [constexpr]

The golden ratio, (1+sqrt(5))/2.

  template<typename _Tp > constexpr _Tp std::numbers::pi_v [inline], [constexpr]

pi

  template<typename _Tp > constexpr _Tp std::numbers::sqrt2_v [inline], [constexpr]

sqrt(2)

  template<typename _Tp > constexpr _Tp std::numbers::sqrt3_v [inline], [constexpr]

sqrt(3)

Author

Generated automatically by Doxygen for libstdc++ from the source code.